Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026700
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2014-05-27 09:372014-10-01 16:43
ReporterSandrahuguetView Statuspublic 
Assigned Toshankarb 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revisiond2eadb91053e
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2014-02-14
Regression introduced in release3.0PR14Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/2e00e59ab219 [^]
Triggers an Emergency PackNo
Summary

0026700: Wrong request after filtering in a field with combo and do blur in other field in pick and edit windows

DescriptionWrong request after filtering in a field with combo and do blur in other field in pick and edit windows.
In manual datasources such as return to vendor you get an error in eclipse and the combo in which you search is disabled.
In standard datasources such as payment proposal no error is obtained but the request is wrong formed.
Steps To Reproduce-Go to Return to Vendor and create new header for Bebidas Alegres, S.L.
-Click on pick/edit lines
-Click on funel icon to clear the implicit filters
-Filter by products: Vino Blanco 0,75L and Cerveza Ale 0,5L
-Moves to Ship/Receipt Qty, notice that product combo is disabled
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00267773.0PR15Q1 closedAugustoMauch No item is shown after reopening filter drop down in P&E Return from Customer 
related to defect 00267783.0PR15Q1 closedSandrahuguet filter in Return to Vendor is not working 
related to defect 0028386 closedalostale FK filter dropdown show only previously selected elements when it is reopened 

-  Notes
(0067460)
Sandrahuguet (developer)
2014-05-27 09:38

Eclipse error in return to vendor manual datasource:

770984 [http-8080-4] ERROR org.openbravo.service.datasource.DataSourceServlet - id to load is required for loading
java.lang.IllegalArgumentException: id to load is required for loading
    at org.hibernate.event.LoadEvent.<init>(LoadEvent.java:89)
    at org.hibernate.event.LoadEvent.<init>(LoadEvent.java:61)
    at org.hibernate.impl.SessionImpl.get(SessionImpl.java:1002)
    at org.openbravo.dal.core.SessionHandler.find(SessionHandler.java:219)
    at org.openbravo.dal.core.SessionHandler.find(SessionHandler.java:202)
    at org.openbravo.dal.service.OBDal.get(OBDal.java:298)
    at org.openbravo.common.datasource.ReturnToVendorPickAndEditDataSource.getData(ReturnToVendorPickAndEditDataSource.java:167)
    at org.openbravo.common.datasource.ReturnToVendorPickAndEditDataSource.fetchJSONObject(ReturnToVendorPickAndEditDataSource.java:112)
    at org.openbravo.common.datasource.ReturnToVendorPickAndEditDataSource.fetch(ReturnToVendorPickAndEditDataSource.java:84)
    at org.openbravo.service.datasource.DataSourceServlet.doFetch(DataSourceServlet.java:256)
    at org.openbravo.service.datasource.DataSourceServlet.doPost(DataSourceServlet.java:678)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)
    at org.openbravo.base.HttpBaseServlet.serviceInitialized(HttpBaseServlet.java:225)
    at org.openbravo.base.secureApp.HttpSecureAppServlet.service(HttpSecureAppServlet.java:446)
    at org.openbravo.client.kernel.BaseKernelServlet.callServiceInSuper(BaseKernelServlet.java:87)
    at org.openbravo.client.kernel.BaseKernelServlet.service(BaseKernelServlet.java:63)
    at org.openbravo.service.datasource.DataSourceServlet.service(DataSourceServlet.java:138)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.utils.SessionExpirationFilter.doFilter(SessionExpirationFilter.java:66)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.utils.CharsetFilter.doFilter(CharsetFilter.java:35)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.client.kernel.KernelFilter$1.doAction(KernelFilter.java:62)
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
    at org.openbravo.client.kernel.KernelFilter.doFilter(KernelFilter.java:71)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.dal.core.DalRequestFilter$1.doAction(DalRequestFilter.java:81)
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
    at org.openbravo.dal.core.DalRequestFilter.doFilter(DalRequestFilter.java:103)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)
    at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:857)
    at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:588)
    at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:489)
    at java.lang.Thread.run(Thread.java:701)
770991 [http-8080-4] ERROR org.openbravo.client.kernel.KernelUtils - id to load is required for loading
(0067534)
shankarb (developer)
2014-05-28 14:16

This issue in present in all windows. In standard grid, request is done without pagination on blur when more than one value is selected in combo fields.
(0067547)
hgbot (developer)
2014-05-29 06:24

Repository: erp/devel/pi
Changeset: d2eadb91053ea410c243e880ef7feec453f8c6a2
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu May 29 09:51:07 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/d2eadb91053ea410c243e880ef7feec453f8c6a2 [^]

Fixes issue 0026700: Wrong request after filtering in a field

obblur event, if more than one records were selected in filter, an additional request was being done.
Prevented the request in this case as the grid is already filtered.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
---
(0067548)
hgbot (developer)
2014-05-29 06:31

Repository: erp/devel/pi
Changeset: 77eadf48af69294854aa50842851d8eed9c81e2b
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu May 29 09:59:19 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/77eadf48af69294854aa50842851d8eed9c81e2b [^]

Related to issue 26700: code formatting

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
---
(0067585)
hudsonbot (developer)
2014-05-29 23:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bd7f8b6f935a [^]
Maturity status: Test
(0067586)
hudsonbot (developer)
2014-05-29 23:05

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bd7f8b6f935a [^]
Maturity status: Test
(0067649)
hgbot (developer)
2014-06-02 06:03

Repository: erp/devel/pi
Changeset: 33522813fc101c285f8c33bee7b1f9d1c0f3d344
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Jun 02 09:31:33 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/33522813fc101c285f8c33bee7b1f9d1c0f3d344 [^]

Related to issue 26700 : Apply formatting

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
---
(0067665)
hudsonbot (developer)
2014-06-02 13:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97cfc7c98353 [^]
Maturity status: Test
(0067741)
alostale (developer)
2014-06-04 10:31

Code review: use single quotes for Strings in js
Testing: 2 new regressions found while testing (0026777 and 0026778). Verified in Return to Customer no additional fetch is done
(0067742)
hgbot (developer)
2014-06-04 10:53

Repository: erp/devel/pi
Changeset: ee7234dc7224c2014197bf6612478870a256a348
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Wed Jun 04 14:16:27 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/ee7234dc7224c2014197bf6612478870a256a348 [^]

Related to Issue 26700 : use '' instead of ""

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
---
(0067879)
hudsonbot (developer)
2014-06-10 22:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/763f16c2ad2e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-27 09:37 Sandrahuguet New Issue
2014-05-27 09:37 Sandrahuguet Assigned To => AugustoMauch
2014-05-27 09:37 Sandrahuguet Modules => Core
2014-05-27 09:37 Sandrahuguet Triggers an Emergency Pack => No
2014-05-27 09:38 Sandrahuguet Note Added: 0067460
2014-05-27 09:40 Sandrahuguet Description Updated View Revisions
2014-05-28 09:10 shankarb Assigned To AugustoMauch => shankarb
2014-05-28 14:02 shankarb Regression level => Production - QA Approved
2014-05-28 14:02 shankarb Regression date => 2014-02-14
2014-05-28 14:02 shankarb Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/2e00e59ab219 [^]
2014-05-28 14:16 shankarb Note Added: 0067534
2014-05-29 06:22 shankarb Review Assigned To => alostale
2014-05-29 06:23 shankarb Issue Monitored: alostale
2014-05-29 06:24 hgbot Checkin
2014-05-29 06:24 hgbot Note Added: 0067547
2014-05-29 06:24 hgbot Status new => resolved
2014-05-29 06:24 hgbot Resolution open => fixed
2014-05-29 06:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d2eadb91053ea410c243e880ef7feec453f8c6a2 [^]
2014-05-29 06:31 hgbot Checkin
2014-05-29 06:31 hgbot Note Added: 0067548
2014-05-29 23:02 hudsonbot Checkin
2014-05-29 23:04 hudsonbot Note Added: 0067585
2014-05-29 23:05 hudsonbot Checkin
2014-05-29 23:05 hudsonbot Note Added: 0067586
2014-06-02 06:03 hgbot Checkin
2014-06-02 06:03 hgbot Note Added: 0067649
2014-06-02 13:59 hudsonbot Checkin
2014-06-02 13:59 hudsonbot Note Added: 0067665
2014-06-04 09:58 alostale Tag Attached: Performance
2014-06-04 10:12 alostale Relationship added related to 0026777
2014-06-04 10:19 alostale Relationship added related to 0026778
2014-06-04 10:31 alostale Note Added: 0067741
2014-06-04 10:31 alostale Status resolved => closed
2014-06-04 10:31 alostale Fixed in Version => PR14Q3
2014-06-04 10:53 hgbot Checkin
2014-06-04 10:53 hgbot Note Added: 0067742
2014-06-10 22:23 hudsonbot Checkin
2014-06-10 22:23 hudsonbot Note Added: 0067879
2014-10-01 16:43 plujan Regression introduced in release => 3.0PR14Q2
2014-12-16 10:05 alostale Relationship added related to 0028386


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker